File submission tool(1)

NAME

clamsubmit - File submission utility for ClamAV

SYNOPSIS

clamsubmit [options]

DESCRIPTION

clamsubmit submits files to Sourcefire for further analysis.

OPTIONS

-h, -?
    Display help to stderr and exit.

-e EMAIL
    Required option for setting the email address for the submission.

-n FILE
    Submit a file that reports as a false negative (ClamAV reports CLEAN). FILE can be - to specify stdin. Mutually exclusive with -p.

-N NAME
    Required option for setting the name of the sender for the submission.

-p FILE
    Submit a file that reports as a false positive (ClamAV flags the file as virus). FILE can be - to specify stdin. Mutually exclusive with -n.

-V VIRUS
    The name of the virus detected as false positive. This option is required for false positive submissions.

ENVIRONMENT VARIABLES

clamsubmit uses the following environment variables:

CURL_CA_BUNDLE - May be set to the path of a file (bundle) containing one or more CA certificates. This will override the default openssl certificate path.
    Note that the CURL_CA_BUNDLE environment variable is also used by the curl command line tool for the same purpose.

AUTHOR

Shawn Webb <swebb@sourcefire.com>